Subject: [6lo] review draft-hou-6lo-plc-04

From: "Zhangmingui (Martin)" <[email-masked]>
Date: Tue, 16 Oct 2018 19:23:13 +0000

Dear authors,

I have read the draft. It covers the fundamental aspects of IPv6 adaptation for different PLC technologies. I found it is educational and useful.

Some detail comments are listed as follows for your consideration.

1. The last sentence of the first paragraph in the introduction is quite misleading. The AMI devices for water and gas meters are usually battery powered due to inconvenient cabling and safety issues. The term "long life time" is not correct for PLC, because PLC devices are always powered.

2. Section 3.4 is not clear enough. It's would be better to merge the content in the last paragraph to the three bullets. And there is not enough information for the L2 routing protocol of 1901.1.

3. In the neighbor discovery section, "RFC6775-update PLC devices include the EARO with the 'R' flag set when sending Router Solicitations and process Router Advertisements that include EARO to extract status information". The RS and RA should be NS and NA. The EARO is not in RS and RA.

4. More description on the functions of PCO, proxy coordinator, and PAN device is required in Section 5. And the terminology for "PCO" has conflict with IEEE 1901.1, in which it stands for proxy coordinator, in the draft it stands for PAN coordinator. Thus this term could be misleading.

Best regards,

Martin

---

From: "Liubing (Remy)" <[email-masked]>
Date: Wed, 17 Oct 2018 11:17:45 +0000

Hello Martin,

Thank you very much for your review!

Please find my response inline. We will upload the new version before IETF103.

Best regards,
Remy

From: 6lo [mailto:[email-masked]] On Behalf Of Zhangmingui (Martin)
Sent: Wednesday, October 17, 2018 3:23 AM
To: [email-masked]
Subject: [6lo] review draft-hou-6lo-plc-04

Dear authors,

1. The last sentence of the first paragraph in the introduction is quite misleading. The AMI devices for water and gas meters are usually battery powered due to inconvenient cabling and safety issues.. The term "long life time" is not correct for PLC, because PLC devices are always powered.

[Remy] Thanks for indicating that. Will revise the sentence as follows: The data acquisition devices in these scenarios share common features such as fixed position, large quantity, low data rate and low power consumption.

2. Section 3.4 is not clear enough. It's would be better to merge the content in the last paragraph to the three bullets. And there is not enough information for the L2 routing protocol of 1901..1.

[Remy] We will reorganize this section and add more detailed description about 1901.1's L2 routing.

[Remy]Yes, it should be NS and NA. Thanks for pointing it out.

[Remy] We will use unified terminology for all the PLC technologies and build terminology mapping.

Best regards,

Martin